--- freenet.orig/freenet/src/freenet/support/LibraryLoader.java	2008-03-26 07:55:59.000000000 +0100
+++ freenet/freenet/src/freenet/support/LibraryLoader.java	2008-03-29 20:55:08.000000000 +0100
@@ -49,11 +49,23 @@
 		final String libraryNameWithPrefixAndArchAndSuffix = libraryNameWithPrefixAndArch + prefix;
 		String resourceName = path + libraryNameWithPrefixAndArchAndSuffix;
 
+/*
+ * Sven-Ola: java.iibrary.path is a colon separted list
+ * this this doesg not work as expected I presume. Used
+ * a simple System.loadLibrary() instea
 		File nativeLib = new File((System.getProperty("java.library.path")) + "/lib" + libraryName + prefix);
 		if (nativeLib.exists()) {
 			System.out.println("Attempting to load the NativeThread library ["+libraryName+']');
 			System.loadLibrary(libraryName);
 		} else {
+ */
+		try {
+			System.loadLibrary(libraryName + '-' + getSimplifiedArchitecture());
+		} catch(Throwable e2) {
+			System.out.println("Loading " + libraryName + '-' + getSimplifiedArchitecture() + " failed.");
+/*
+ * Sven-Ola: End of hack
+ */
 			try {
 				// Get the resource
 				URL resource = LibraryLoader.class.getResource(resourceName);
